MySQL5.5からMySQL5.1へダウングレードしようとして苦労したよ

NO IMAGE

以前、MySQL最新の5.5を試してみたい、と思ってインストールしたのですがたまにメモリをものすごく食ってサーバーが落ちてしまうので5.1にダウングレードしました。

その時にすごくはまったのでメモを残しておきます

削除
~~~
$ yum remove mysql\* php-mysql mysqlclient15
~~~

インストール
~~~
$ yum install –enablerepo=epel,remi mysql mysql-server php-mysql
~~~

としたところ
~~~
/usr/lib64/mysql/libmysqlclient.so.16.0.0 from install of mysql-libs-5.1.54-1.el5.remi.x86_64
~~~

こんな感じのエラーが。(正確なメッセージは消えてしまった。。)

~~~
$ yum search libmysqlclient
~~~

としても見つからないし

~~~
$ yum remove libmysqlclient
~~~

しても当然消えてくれない

どしたらいいのかなーとよくよくメッセージを見てたらcompat-mysqlがどうのこうのと書いてあるので

~~~
$ yum remove compat-mysql*
~~~

としてみたら消えてくれました

消えてくれたのでインストールを再度して、my.confを書き直して起動。

これで一旦様子を見てみたいと思います。。